Digital AssetsTransfer

Look up Digital Asset Transfer status

Look up the statuses of one or more digital asset transfers.

POST
/v1/digital-assets/transfer-status

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customerReference*string

Customer reference of the transfer to look up.

Match^[a-zA-Z0-9]+$
Length0 <= length <= 16
type*string

Type of the transfer: deposit or withdrawal.

Value in

  • "DEPOSIT"
  • "WITHDRAWAL"

Response Body

*/*

application/json

application/json

curl -X POST "https://example.com/v1/digital-assets/transfer-status" \
  -H "Content-Type: application/json" \
  -d '[
    {
      "customerReference": "string",
      "type": "DEPOSIT"
    }
  ]'
{
  "invalid": [
    {
      "customerReference": "string",
      "errorMessage": "string",
      "type": "string"
    }
  ],
  "valid": [
    {
      "accountNumber": "string",
      "actualFee": "string",
      "assetQuantity": "string",
      "assetSymbol": "string",
      "blockchainStatus": "string",
      "customerReference": "string",
      "destinationAddress": "string",
      "destinationTag": "string",
      "estimatedFee": "string",
      "feeType": "string",
      "originatorAddress": "string",
      "settlementDate": "2019-08-24",
      "status": "string",
      "transactionHash": "string",
      "type": "string",
      "ultimateReceiverAccountNumber": "string",
      "ultimateReceiverName": "string",
      "walletAddress": "string",
      "walletProvider": "string"
    }
  ]
}